Loading...
Searching...
No Matches
Inline.h File Reference

Methods for replacing calls to functions with their definitions. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::inline_function (Stmt s, const Function &f)
| Inline a single named function, which must be pure.
Expr | Halide::Internal::inline_function (Expr e, const Function &f)
void | Halide::Internal::inline_function (Function caller, const Function &f)
void | Halide::Internal::validate_schedule_inlined_function (Function f)
| Check if the schedule of an inlined function is legal, throwing an error if it is not.

## Detailed Description

Methods for replacing calls to functions with their definitions.

Definition in file Inline.h.